gRPC C#
gRPC C#
Namespaces
Grpc.Core
Calls Class
Calls Methods
AsyncClientStreamingCall(TRequest, TResponse) Method
AsyncDuplexStreamingCall(TRequest, TResponse) Method
AsyncServerStreamingCall(TRequest, TResponse) Method
AsyncUnaryCall(TRequest, TResponse) Method
BlockingUnaryCall(TRequest, TResponse) Method

Calls AsyncDuplexStreamingCall TRequest, TResponse Method

Invokes a duplex streaming call asynchronously. In duplex streaming scenario, client sends a stream of requests and server responds with a stream of responses. The response stream is completely independent and both side can be sending messages at the same time.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static AsyncDuplexStreamingCall<TRequest, TResponse> AsyncDuplexStreamingCall<TRequest, TResponse>(
    	CallInvocationDetails<TRequest, TResponse> call
    )
    where TRequest : class
    where TResponse : class

    Public Shared Function AsyncDuplexStreamingCall(Of TRequest As Class, TResponse As Class) (
    	call As CallInvocationDetails(Of TRequest, TResponse)
    ) As AsyncDuplexStreamingCall(Of TRequest, TResponse)

    public:
    generic<typename TRequest, typename TResponse>
    where TRequest : ref class
    where TResponse : ref class
    static AsyncDuplexStreamingCall<TRequest, TResponse>^ AsyncDuplexStreamingCall(
    	CallInvocationDetails<TRequest, TResponse> call
    )

    static member AsyncDuplexStreamingCall :
            call : CallInvocationDetails<'TRequest, 'TResponse> -> AsyncDuplexStreamingCall<'TRequest, 'TResponse>  when 'TRequest : not struct when 'TResponse : not struct

#### Parameters

call
  Type: Grpc.Core
  CallInvocationDetails
  TRequest, TResponse
  The call definition.

#### Type Parameters

TRequest
  Type of request messages.
TResponse
  Type of reponse messages.

#### Return Value

Type: AsyncDuplexStreamingCall
TRequest, TResponse
A call object providing access to the asynchronous request and response streams.
See Also

#### Reference

Calls Class
Grpc.Core Namespace